package com.flossom.common.core.domain.req;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.List;

/**
 * 用户护理日志查询对象
 *
 * @author flossom
 * @date 2024-01-29
 */
public class UserNursingLogReq {

    /**
     * 多个用户编号，','隔开
     */
    private String userIdList;

    /**
     * 单个会员昵称
     */
    private String nickname;

    /**
     * 多个手机号码，','隔开
     */
    private String mobile;

    /**
     * 省
     */
    private String provinceId;

    /**
     * 市
     */
    private String cityId;

    /**
     * 区
     */
    private String areaId;

    /**
     * 外部标签ID列表
     */
    private List<Long> wecomTagList;

    /**
     * 仪器ID列表
     */
    private List<Long> instrumentIdList;

    /**
     * 小程序标签ID列表
     */
    private List<Long> miniProgramTagList;

    /**
     * 模式ID列表
     */
    private List<Long> modeIdList;

    /**
     * 最新护理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private List<LocalDateTime> updateTimeRange;

    /**
     * 护理时长
     */
    @DateTimeFormat(pattern = "HH:mm:ss")
    private List<LocalTime> nursingTimeRange;


    public UserNursingLogReq() {
    }

    public String getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(String userIdList) {
        this.userIdList = userIdList;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public List<Long> getWecomTagList() {
        return wecomTagList;
    }

    public void setWecomTagList(List<Long> wecomTagList) {
        this.wecomTagList = wecomTagList;
    }

    public List<Long> getInstrumentIdList() {
        return instrumentIdList;
    }

    public void setInstrumentIdList(List<Long> instrumentIdList) {
        this.instrumentIdList = instrumentIdList;
    }

    public List<Long> getMiniProgramTagList() {
        return miniProgramTagList;
    }

    public void setMiniProgramTagList(List<Long> miniProgramTagList) {
        this.miniProgramTagList = miniProgramTagList;
    }

    public List<Long> getModeIdList() {
        return modeIdList;
    }

    public void setModeIdList(List<Long> modeIdList) {
        this.modeIdList = modeIdList;
    }

    public List<LocalDateTime> getUpdateTimeRange() {
        return updateTimeRange;
    }

    public void setUpdateTimeRange(List<LocalDateTime> updateTimeRange) {
        this.updateTimeRange = updateTimeRange;
    }

    public List<LocalTime> getNursingTimeRange() {
        return nursingTimeRange;
    }

    public void setNursingTimeRange(List<LocalTime> nursingTimeRange) {
        this.nursingTimeRange = nursingTimeRange;
    }
}
